Page MenuHomePhabricator

[CFG] [analyzer] Add construction context for ReturnStmt.
ClosedPublic

Authored by NoQ on Feb 2 2018, 5:36 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

NoQ created this revision.Feb 2 2018, 5:36 PM
NoQ updated this revision to Diff 132720.Feb 2 2018, 6:39 PM

Add a test in which we return a variable.

NoQ retitled this revision from [analyzer] Add construction context for ReturnStmt. to [CFG] [analyzer] Add construction context for ReturnStmt..Feb 7 2018, 4:51 PM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 12 2018, 2:40 PM
This revision was not accepted when it landed; it landed in state Needs Review.
Closed by commit rC324952: [CFG] Provide construction contexts for return value constructors. (authored by dergachev, committed by ). · Explain Why
Closed by commit rL324952: [CFG] Provide construction contexts for return value constructors. (authored by dergachev, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.
NoQ added a comment.Feb 14 2018, 6:56 PM

rC325202 is attached to this revision accidentally; it should have been attached to D42876.